Get a drive model for a server model

GET/v1/locations/{location_id}/order_options/server_models/{server_model_id}/drive_models/{drive_model_id}

If you need to learn more details about a disk drive option, perform a GET request to /v1/locations/{location_id}/order_options/server_models/{server_model_id}/drive_models/{drive_model_id}. Don't forget to complete the request with all the required path parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

location_id*string

A unique identifier of a location. A request to list all the location IDs is described in the Location section.

server_model_id*string

An identifier of a server model. You can find a list of all the server models in one location by sending a request described in the Server Model section.

drive_model_id*string

You can see all the drive model IDs with the help of the relevant request described in this section.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/locations/1594/order_options/server_models/2741/drive_models/2738"
{  "id": 2738,  "name": "ssd-model-1590",  "capacity": 100,  "interface": "SATA3",  "form_factor": "2.5",  "media_type": "SSD"}
{  "message": "Not found",  "code": "NOT_FOUND"}